#ifndef _UI_MENU_SCREEN_EVENT_H
#define _UI_MENU_SCREEN_EVENT_H
#include <ctype.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include "ui.h"
#ifdef __cplusplus
extern "C" {
#endif

void menu_screen_interface_refresh(uint8_t program_type);

void MenuScreenLoadStartCallback(lv_event_t * e);
void MenuScreenLoadedCallback(lv_event_t * e);
void MenuScreenUnloadedCallback(lv_event_t * e);
void MenuReturnPanelClickedCallback(lv_event_t * e);
void MenuProgramPanelSwitchClickedCallback(lv_event_t * e);
void MenuProgramPanelSetLableClickedCallback(lv_event_t * e);
void MenuProgramPanelSleepPanelAddMinuPanelClickedCallback(lv_event_t * e);
void MenuProgramPanelSleepPanelConfirmPanelClickedCallback(lv_event_t * e);
void MenuPanelWifiPanelChildPanelClickedCallback(lv_event_t * e);
void MenuPanelUserSetPanelChildPanelClickedCallback(lv_event_t * e);
void ProgramPanelHeatCoolSwitchClickedCallback(lv_event_t * e);
void ProgramWeekDaySelectXPanelClickedCallback(lv_event_t * e);
void ProgramPanelSegPanelClickedCallback(lv_event_t * e);
void ProgramPanelCopy_ResetPanelClickedCallback(lv_event_t * e);


#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
